Name: pcre
Version: 3.9
Release: 10.4
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source: ftp://ftp.sourceforge.net/projects/pcre/%{name}-%{version}.tar.bz2
Patch: pcre-3.9-libtool.patch
Patch1: pcre-3.9-CAN-2005-2491.patch
# CESA-2007-006, 3rd part, has been assigned CVE-2006-7228
Patch2: pcre-3.9-CESA-2007-006.3.patch
Patch3: pcre-3.9-CVE-2007-1660.patch
License: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
Prereq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq: sed

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup
%patch -p1 -b .libtool
%patch1 -p1 -b .CAN-2005-2491
%patch2 -p1 -b .CESA-2007-006.3
%patch3 -p1 -b .CVE-2007-1660

%configure --includedir=%{_includedir}/%{name} --enable-utf8

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/libpcre.so.* $RPM_BUILD_ROOT/%{_lib}/
( cd $RPM_BUILD_ROOT%{_libdir} && ln -fs ../../%{_lib}/libpcre.so.0 libpcre.so )
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/pcregrep
%{_bindir}/pcretest

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_mandir}/man3/*
%{_bindir}/pcre-config

%changelog
* Fri Nov 16 2007 Stepan Kasal <skasal@redhat.com> - 3.9-10.4
- Fix CVE-2007-1660, bug #381991

* Wed Nov 14 2007 Josh Bressers <bressers@redhat.com> 3.9-10.3
- Fix the issue in CESA-2007-006 issue 3, bug #381991
  pcre-3.9-CESA-2007-006.3.patch

* Fri Aug 19 2005 Than Ngo <than@redhat.com> 3.9-10.2
- backport patch to fix heap overflow, CAN-2005-2491, #166330
- add Prereq: /sbin/ldconfig

* Tue Sep 21 2004 Than Ngo <than@redhat.com> 3.9-10.1
- rebuilt to fix man pages conflict, multiarch problem

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Than Ngo <than@redhat.com> 3.9-9
- build with utf8, bug #81504

* Fri Nov 22 2002 Elliot Lee <sopwith@redhat.com> 3.9-8
- Really remove .la files

* Fri Oct 11 2002 Than Ngo <than@redhat.com> 3.9-7
- remove .la

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.9-7
- Typo bug

* Wed Oct  9 2002 Than Ngo <than@redhat.com> 3.9-6
- Added missing so symlink

* Thu Sep 19 2002 Than Ngo <than@redhat.com> 3.9-5.1
- Fixed to build s390/s390x/x86_64

* Wed Jun 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.9-5
- Fix #65009

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.9-2
- rebuild

* Fri Jan 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.9-1
- Update to 3.9

* Wed Nov 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.7-1
- Update to 3.7

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.4-2
- Move libpcre to /lib, grep uses it these days (#41104)

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move this to a separate package, used to be in kdesupport, but it's
  generally useful...
